/*
 * Wine server requests
 *
 * Copyright (C) 1999 Alexandre Julliard
 */

#ifndef __WINE_SERVER_GDBREMOTE_H
#define __WINE_SERVER_GDBREMOTE_H

struct gdb_socket;

extern struct gdb_socket *open_gdb_socket( struct process *process );
extern void close_gdb_socket( struct gdb_socket *sock );
extern void notify_gdb_event( struct gdb_socket *sock );
extern void recv_gdb_event( struct gdb_socket *sock, struct thread *thread,
                            debug_event_t *data, CONTEXT *context );

#endif  /* __WINE_SERVER_GDBREMOTE_H */
